using Wizard.Battle.Card.InnerOptions;
using Wizard.Battle.Player.Emotion;
using Wizard.Battle.View;

namespace Wizard.Battle;

public class NetworkOpponentInnerOptionsBuilder : IInnerOptionsBuilder
{
	public IPlayerEmotion CreatePlayerEmotion(IClassBattleCardView classCardView)
	{
		return new NullPlayerEmotion();
	}

	public IEmotion CreateEnemyEmotion(IClassBattleCardView classCardView)
	{
		return new NetworkOpponentEmotion(GameMgr.GetIns().GetDataMgr().GetEnemyCharaId()
			.ToString(), classCardView.ClassCharacter);
	}

	public CardInnerOptionsBase CreateCardOptions()
	{
		return new CardInnerOptionsBase();
	}
}
